summaryrefslogtreecommitdiff
path: root/tests/twisted/run-test.sh.in
diff options
context:
space:
mode:
authorLuis Araujo <luis.araujo@collabora.co.uk>2012-09-07 17:12:47 +0100
committerSimon McVittie <simon.mcvittie@collabora.co.uk>2012-09-07 17:16:47 +0100
commit223a234ad1b30608b122670d8504d33fd6c05d42 (patch)
tree541d7d5f18964de882dd5dfc0d00482480291341 /tests/twisted/run-test.sh.in
parente193a39e1272931c9470884a42f1a97655438e9a (diff)
run-test.sh.in: print pass/fail status
Some automated testing frameworks, including LAVA, ignore exit status and rely on screen-scraping results from log output. Use the Automake convention here (each match of ^(PASS|FAIL|SKIP): (.*)$ is a test result). [commit message added -smcv] Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk> Bug: https://bugs.freedesktop.org/show_bug.cgi?id=52049
Diffstat (limited to 'tests/twisted/run-test.sh.in')
-rw-r--r--tests/twisted/run-test.sh.in19
1 files changed, 17 insertions, 2 deletions
diff --git a/tests/twisted/run-test.sh.in b/tests/twisted/run-test.sh.in
index 6a4cc0f6e..6e8d57655 100644
--- a/tests/twisted/run-test.sh.in
+++ b/tests/twisted/run-test.sh.in
@@ -15,11 +15,26 @@ else
list=$(cat @gabbletestsdir@/twisted/gabble-twisted-tests.list)
fi
-for i in $list ; do
- echo "Testing $i"
+any_failed=0
+for i in $list ; do
+ echo "Testing $i ..."
sh @gabbletestsdir@/twisted/tools/with-session-bus.sh \
--config-file=@gabbletestsdir@/twisted/tools/servicedir/tmp-session-bus.conf \
-- \
@PYTHON@ @gabbletestsdir@/twisted/$i
+ e=$?
+ case "$e" in
+ (0)
+ echo "PASS: $i"
+ ;;
+ (77)
+ echo "SKIP: $i"
+ ;;
+ (*)
+ any_failed=1
+ echo "FAIL: $i ($e)"
+ ;;
+ esac
done
+exit $any_failed